export default H264MP4Encoder;
export type H264MP4EncoderOptions = {
    debug?: boolean;
    encoderOptions?: any;
};
export type H264MP4EncoderEncoderOptions = any;
/**
 * @typedef {object} H264MP4EncoderOptions
 * @property {boolean} [debug]
 * @property {H264MP4EncoderEncoderOptions} [encoderOptions={}]
 */
/**
 * @typedef {import("h264-mp4-encoder").H264MP4Encoder} H264MP4EncoderEncoderOptions
 * @see [h264-mp4-encoder#api]{@link https://github.com/TrevorSundberg/h264-mp4-encoder#api}
 */
declare class H264MP4Encoder extends Encoder {
    static supportedExtensions: string[];
    static defaultOptions: {
        extension: string;
        frameMethod: string;
    };
    /**
     * @param {H264MP4EncoderOptions} [options]
     */
    constructor(options?: H264MP4EncoderOptions);
    init(options: any): Promise<void>;
    encoder: any;
    start(): Promise<void>;
    encode(frame: any): void;
    stop(): any;
}
import Encoder from "./Encoder.js";
